libzypp 17.37.10

zypp::xml::parse_def_assign::Assigner< void > Struct Reference

Common interface to all Assigner types. More...

`#include <zypp/parser/xml/ParseDefConsume.h>`

## Public Member Functions
virtual | ~Assigner ()
virtual void | assign (const char *text_r)
| Assigner (void &value_r)

## Private Attributes
void * | _value

## Detailed Description

Common interface to all Assigner types.

Definition at line 135 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ ~Assigner()

virtual zypp::xml::parse_def_assign::Assigner< void >::~Assigner | ( |  | ) |
| inline virtual

Definition at line 137 of file ParseDefConsume.h.

## ◆ Assigner()

zypp::xml::parse_def_assign::Assigner< void >::Assigner | ( | void & | value_r | ) |
| inline

Definition at line 149 of file ParseDefConsume.h.

## Member Function Documentation

## ◆ assign()

virtual void zypp::xml::parse_def_assign::Assigner< void >::assign | ( | const char * | text_r | ) |
| inline virtual

Definition at line 139 of file ParseDefConsume.h.

## Member Data Documentation

## ◆ _value

void* zypp::xml::parse_def_assign::Assigner< void >::_value
| private

Definition at line 157 of file ParseDefConsume.h.

The documentation for this struct was generated from the following file:

- zypp/parser/xml/ParseDefConsume.h